Search Vendor Invoices By Source System
curl --request POST \
--url https://api.upwell.com/api/rest/vendor-invoices/search \
--header 'Content-Type: application/json' \
--data '
{
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/vendor-invoices/search"
payload = {
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({sourceSystem: '<string>', sourceSystemId: '<string>'})
};
fetch('https://api.upwell.com/api/rest/vendor-invoices/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vendorInvoices": [
{
"accountNumber": "<string>",
"amountReceived": 123,
"annotations": [
{
"confidence": 123,
"fieldLabel": "<string>",
"id": "<string>",
"pageNumber": 123,
"reasoning": "<string>",
"stampTitle": "<string>",
"text": "<string>",
"valueDate": "2023-12-25",
"valueNumber": "<string>"
}
],
"billTo": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"createdAt": "<unknown>",
"customerNumber": "<string>",
"department": "<string>",
"documentId": "<string>",
"dueDate": "2023-12-25",
"fobPoint": "<string>",
"freightAmount": 123,
"id": "<string>",
"incoterms": "<string>",
"invoiceDate": "2023-12-25",
"invoiceNumber": "<string>",
"legibilityScore": "<unknown>",
"matchedPurchaseOrder": {
"id": "<string>",
"poDate": "2023-12-25",
"poNumber": "<string>",
"totalAmount": 123
},
"matchedPurchaseOrderId": "<string>",
"notes": "<string>",
"orderDate": "2023-12-25",
"paymentTermsDescription": "<string>",
"paymentTermsDiscountDays": 123,
"paymentTermsDiscountPercent": "<unknown>",
"paymentTermsNetDays": 123,
"poNumber": "<string>",
"projectNumber": "<string>",
"referenceNumbers": "<unknown>",
"remitTo": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"requisitionerName": "<string>",
"salesOrderNumber": "<string>",
"shipTo": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"shipVia": "<string>",
"specialInstructions": "<string>",
"subtotalAmount": 123,
"surchargeAmount": 123,
"taxAmount": 123,
"taxExempt": true,
"totalAmount": 123,
"vendor": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"vendorInvoiceLineItems": [
{
"chargeType": "<string>",
"customerPartNumber": "<string>",
"description": "<string>",
"discountPercent": "<unknown>",
"extendedAmount": 123,
"id": "<string>",
"lineNumber": 123,
"notes": "<string>",
"poLineNumber": "<string>",
"poNumber": "<string>",
"quantity": "<unknown>",
"quantityBackordered": "<unknown>",
"quantityOrdered": "<unknown>",
"quantityShipped": "<unknown>",
"taxAmount": 123,
"taxable": true,
"unitOfMeasure": "<string>",
"unitPriceAmount": 123,
"unitPriceBasis": "<unknown>",
"vendorPartNumber": "<string>",
"weight": "<unknown>",
"weightUnit": "<string>"
}
]
}
]
}Vendor Invoices
Search Vendor Invoices By Source System
Find the vendor invoice(s) created from a document you uploaded, keyed by the sourceSystem + sourceSystemId you supplied at presign time. Body: { "sourceSystem": "...", "sourceSystemId": "..." }.
POST
/
api
/
rest
/
vendor-invoices
/
search
Search Vendor Invoices By Source System
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Query Parameters
"sourceSystem" is required (enter it either in parameters or request body)
"sourceSystemId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for POST /api/rest/vendor-invoices/search
Show child attributes
Show child attributes
⌘I

